For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Connect
BlogHelp CenterAPI PricingSign up
OverviewElevenCreativeElevenAgentsElevenAPIReception AIAPI referenceChangelog
OverviewElevenCreativeElevenAgentsElevenAPIReception AIAPI referenceChangelog
  • Get started
    • Overview
    • Quickstart
  • Configure
    • Overview
    • Voice & language
    • Knowledge base
    • Tools
    • Personalization
    • Authentication
  • Deploy
    • Overview
    • Environment variables
    • WhatsApp
    • Batch calls
  • Monitor
    • Overview
    • Users
    • Testing
    • Experiments
    • Versioning
    • Conversation Analysis
    • Analytics
    • Real-time monitoring
    • OpenTelemetry traces
    • Privacy
    • Cost optimization
    • CLI
  • Advanced
    • Events
    • Custom models
    • LLM cascading
    • Post-call webhooks
  • Resources
    • UI components
  • Guides
    • Chat Mode
    • Burst pricing
    • ElevenLabs' docs agent
    • Scaling user interviews
    • Simulate Conversations
        • WSSAgent WebSockets
          • GETList LLMs
          • POSTCalculate expected LLM usage
LogoLogo
Login
Login
Connect
BlogHelp CenterAPI PricingSign up
API referenceLLM

Calculate expected LLM usage

POST
/v1/convai/llm-usage/calculate
POST
/v1/convai/llm-usage/calculate
$curl -X POST https://api.elevenlabs.io/v1/convai/llm-usage/calculate \
> -H "Content-Type: application/json" \
> -d '{
> "prompt_length": 1,
> "number_of_pages": 1,
> "rag_enabled": true
>}'
1{
2 "llm_prices": [
3 {
4 "llm": "gemini-2.5-flash",
5 "price_per_minute": 1.1
6 }
7 ]
8}
Returns a list of LLM models and the expected cost for using them based on the provided values.
Was this page helpful?
Previous

Create MCP server

Next
Built with

Headers

xi-api-keystringOptional

Request

This endpoint expects an object.
prompt_lengthintegerRequired
Length of the prompt in characters.
number_of_pagesintegerRequired
Pages of content in PDF documents or URLs in the agent's knowledge base.
rag_enabledbooleanRequired
Whether RAG is enabled.

Response

Successful Response
llm_priceslist of objects

Errors

422
Unprocessable Entity Error